<?php
/**
 * @package Sj Content Slideshow II
 * @version 3.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;


	
	JHtml::stylesheet('modules/'.$module->module.'/assets/css/styles.css');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.cycle.all.js');
	ImageHelperSjContentSlideshowII::setDefault($params);
	
	$small_image_config=array(
		'type'			=> $params->get('imgcfgnav_type'),
		'width' 		=> $params->get('imgcfgnav_width'),
		'height' 		=> $params->get('imgcfgnav_height'),
		'quality' 		=> 90,	
		'function' 		=> ($params->get('imgcfgnav_function') == 'none')?null:'resize',
		'function_mode' => ($params->get('imgcfgnav_function') == 'none')?null:substr($params->get('imgcfgnav_function'), 7),
		'transparency'  => $params->get('imgcfgnav_transparency', 1)?true:false,
		'background' 	=> $params->get('imgcfgnav_background')
	);
	
	if($params->get('start')<=0){
		$params->set('start',0);
	}else{
		$params->set('start',$params->get('start')-1);
	}
	if($params->get('start') >= count($list)){
		$params->set('start',count($list)-1);
	}

	$addclass ='';
	if($params->get('themes') == 'theme1'){
		$addclass='top-left';
	}
	if($params->get('themes') == 'theme2'){
		$addclass='top-right';
	}
	if($params->get('themes') == 'theme3'){
		$addclass='bottom-left';
	}
	if($params->get('themes') == 'theme4'){
		$addclass='bottom-right';
	}
	$tag_id = 'sj_slideshowii_'.rand().time();
?>
	<div id="<?php echo $tag_id ;?>" class="sj-slideshowii sl2-preload" style="width:<?php echo ($params->get('themes') != 'theme5' )?($params->get('imgcfg_width') + $params->get('nav_width')):$params->get('imgcfg_width') ?>px;">
		<?php if($params->get('pretext') != null) { ?>
		<div class="pre-text">
			<?php echo $params->get('pretext'); ?>
		</div>
		<?php } ?>
		<div class="sl2-loading"></div>
		<?php if(!empty($list)) { ?>
		<div class="sl2-wrap <?php echo $params->get('themes'); ?> " style="height:<?php echo $params->get('imgcfg_height') ?>px;">
			
			<div class="sl2-items" style="width:<?php echo $params->get('imgcfg_width') ?>px; height:<?php echo $params->get('imgcfg_height') ?>px;">
				<?php $i=0; foreach($list as $item) { $i++;  ?>
				<div class="sl2-item <?php echo ($i==($params->get('start')+1))?'curr':'';?>">
					<div class="sl2-image" style="width:<?php echo $params->get('imgcfg_width')  ?>px; height:<?php echo $params->get('imgcfg_height')  ?>px;" >
						<a href="<?php echo $item->link; ?>" title="<?php echo $item->title; ?>" <?php echo ContentSlideshowIIHelper::parseTarget($params->get('item_link_target')); ?> >
		    				<?php $img = ContentSlideshowIIHelper::getAImage($item, $params);?>
							<img src="<?php echo ContentSlideshowIIHelper::imageSrc($img); ?>" title="<?php echo $item->title; ?>"	  alt="<?php  echo $item->title; ?>" />
						</a>
					</div>
					<div class="sl2-more">
						<div class="sl2-opacity"></div>
						<?php if($params->get('item_title_display') == 1){?>
							<div class="sl2-title">
								<a href="<?php echo $item->link; ?>" title="<?php echo $item->title; ?>" <?php echo ContentSlideshowIIHelper::parseTarget($params->get('item_link_target')); ?> >
									<?php echo ContentSlideshowIIHelper::truncate($item->title, $params->get('item_title_max_characs'))?>
								</a>
							</div>
						<?php }?>

						<?php if($params->get('item_desc_display') == 1 && ContentSlideshowIIHelper::_trimEncode($item->introtext) != ''){?>
							<div class="sl2-desc">
								<?php echo  ContentSlideshowIIHelper::truncate($item->introtext, $params->get('item_desc_max_characs')); ?>
							</div>
						<?php }
						$tags = '';
						if($params->get('item_tags_display') == 1 && $item->tags != '' && !empty($item->tags->itemTags) ) {	
							$item->tagLayout = new JLayoutFile('joomla.content.tags');
							$tags = $item->tagLayout->render($item->tags->itemTags); 
						}	
						if($tags != ''){?>
						<div class="sl2-tags">
							<?php echo  $tags; ?>
						</div>
						<?php }?>
						<?php if($params->get('item_readmore_display') == 1) {?>
							<div class="sl2-readmore">
								<a href="<?php echo $item->link; ?>" title="<?php echo $item->title; ?>" <?php echo ContentSlideshowIIHelper::parseTarget($params->get('item_link_target')); ?> >
									<?php echo $params->get('item_readmore_text'); ?>
								</a>
							</div>
						<?php }?>
					</div>
				</div>
				<?php } ?>
			</div>
			<div class="sl2-slide" style="width:<?php echo ($params->get('themes') != 'theme5')?$params->get('nav_width'):$params->get('imgcfg_width') ?>px; height:<?php echo ($params->get('themes') != 'theme5')?$params->get('imgcfg_height'):$params->get('imgcfgnav_height') + 20?>px;">
				<?php if($params->get('themes') == 'theme5') {?>
					<?php if($params->get('nav_buttons_display') == 1 || $params->get('nav_image_display') == 1) {?>
					<div class="slide-opacity"></div>
					<?php }?>
					<?php if( $params->get('nav_buttons_display') == 1) {?>
					<div class="slide-previous"></div>
					<?php }?>
				<?php }?>
				<div class="sl2-slide-inner" style="width:<?php echo ($params->get('themes') != 'theme5')?$params->get('nav_width'):'auto' ?>px; height:<?php echo ($params->get('themes') != 'theme5')?$params->get('imgcfg_height'):$params->get('imgcfgnav_height') + 20?>px;right:<?php echo ($params->get('themes') == 'theme5' && $params->get('nav_buttons_display') == 0)?10:''?>px ;left:<?php echo ($params->get('themes') == 'theme5' && $params->get('nav_buttons_display') == 0)?10:''?>px;">
					<div class="slide-items">
						<?php $j =0 ; foreach($list as $key => $item) { $j++; ?>
						<div class="slide-item slide-item<?php echo $j; ?> <?php echo ($j==($params->get('start')+1))?'active':'';?>">
							<div class="slide-item-inner" style="height:<?php echo ($params->get('themes') != 'theme5')?(floor($params->get('imgcfg_height') / $params->get('num_item_per_page')) -30):''; ?>px;">
								<?php if($params->get('themes') == 'theme5') { ?>
									<div class="slide-image" style="width:<?php echo $params->get('imgcfgnav_width')  ?>px; height:<?php echo $params->get('imgcfgnav_height')  ?>px; max-height:<?php  echo ($params->get('themes') != 'theme5')?(floor($params->get('imgcfg_height') / $params->get('num_item_per_page')) -34):''; ?>px; max-width:<?php echo ($params->get('themes') != 'theme5')?($params->get('nav_width') - 34):''?>px;" >
										<?php $img_nav = ContentSlideshowIIHelper::getAImage($item, $params, $prefix='imgcfgnav'); ?>
										<img src="<?php echo ContentSlideshowIIHelper::imageSrc($img_nav,$small_image_config); ?>" title="<?php echo $item->title; ?>"	  alt="<?php  echo $item->title; ?>" />
									</div>
								<?php } else { ?>
								<?php if($params->get('nav_image_display') == 1){?>
								<div class="slide-image" style="width:<?php echo $params->get('imgcfgnav_width')  ?>px; height:<?php echo $params->get('imgcfgnav_height')  ?>px; max-height:<?php  echo ($params->get('themes') != 'theme5')?(floor($params->get('imgcfg_height') / $params->get('num_item_per_page')) -34):''; ?>px; max-width:<?php echo ($params->get('themes') != 'theme5')?($params->get('nav_width') - 34):''?>px;" >
									<?php $img_nav = ContentSlideshowIIHelper::getAImage($item, $params, $prefix='imgcfgnav'); ?>
									<img src="<?php echo ContentSlideshowIIHelper::imageSrc($img_nav,$small_image_config); ?>" title="<?php echo $item->title; ?>"	  alt="<?php  echo $item->title; ?>" />
								</div>
								<?php }} ?>
								<?php if($params->get('themes') != 'theme5') {?>
								<div class="slide-more">
									<?php if($params->get('nav_title_display') == 1) {?>
									<div class="slide-title">
										<?php echo ContentSlideshowIIHelper::truncate($item->title, $params->get('nav_limit_title'))?>
									</div>
									<?php } ?>
									<?php if($params->get('nav_desc_display') == 1 && ContentSlideshowIIHelper::_trimEncode($item->introtext) != ''){?>
									<div class="slide-desc">
										<?php echo ContentSlideshowIIHelper::truncate($item->introtext, $params->get('nav_limit_desc')); ?>
									</div>
									<?php  }?>
								</div>
								<?php } ?>

							</div>
						</div>
						<?php } ?>
					</div>
				</div>	
				<?php if($params->get('themes') == 'theme5' && $params->get('nav_buttons_display') == 1) {?>
				<div class="slide-next"></div>
				<?php }?>
			</div>
			<?php if ($params->get('themes') != 'theme5' && $params->get('nav_buttons_display') == 1) {?>
				<div class="sl2-control <?php echo $addclass; ?>">
					<div class="sl2-ctr previous"></div>
					<div class="sl2-ctr play-pause <?php echo ($params->get('play')==1) ? 'pause' : 'play'; ?>"></div>
					<div class="sl2-ctr next"></div>
				</div>
			<?php }?>
			
		</div>
		<?php } else {?>
			<div class="sl2-noitem">
				<?php echo JText::_('Has no content to show!');	?>
			</div>	
		<?php }?>
			<?php if($params->get('posttext') != null) {  ?>
			<div class="post-text">
				<?php echo $params->get('posttext'); ?>
			</div>
			<?php }?>
	</div><!--End sj-content-slideshow-->
